'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var solidJs = require('solid-js');

var lazily = function lazily(loader) {
  return new Proxy({}, {
    get: function get(_target, componentName) {
      if (typeof componentName === 'string') {
        return solidJs.lazy(function () {
          return loader(componentName).then(function (x) {
            return {
              default: x[componentName]
            };
          });
        });
      }
    }
  });
};

exports.lazily = lazily;
