var solidjsLazily = (function (exports, solidJs) {
    'use strict';

    var lazily = function lazily(loader) {
      return new Proxy({}, {
        get: function get(_target, componentName) {
          if (typeof componentName === 'string') {
            return solidJs.lazy(function () {
              return loader(componentName).then(function (x) {
                return {
                  default: x[componentName]
                };
              });
            });
          }
        }
      });
    };

    exports.lazily = lazily;

    Object.defineProperty(exports, '__esModule', { value: true });

    return exports;

})({}, SolidJS);
