import { lazy } from 'solid-js';

const lazily = loader => new Proxy({}, {
  get: (_target, componentName) => {
    if (typeof componentName === 'string') {
      return lazy(() => loader(componentName).then(x => ({
        default: x[componentName]
      })));
    }
  }
});

export { lazily };
